/// <reference types="react" />
import * as React from "react";
import * as common from "schema-based-json-editor";
export * from "schema-based-json-editor";
import { Dragula, MarkdownItType, HLJS } from "schema-based-json-editor/dist/libs";
/**
 * @public
 */
export declare type Props = {
    schema: common.Schema;
    initialValue: common.ValueType;
    updateValue: (value: common.ValueType | undefined, isValid: boolean) => void;
    theme?: string;
    icon?: string;
    locale?: common.Locale | null;
    readonly?: boolean;
    dragula?: Dragula;
    markdownit?: MarkdownItType;
    hljs?: HLJS;
    forceHttps?: boolean;
};
/**
 * @public
 */
export declare class JSONEditor extends React.Component<Props, {}> {
    private md?;
    constructor(props: Props);
    render(): JSX.Element;
    private updateValue;
}
